GXml.CollectionParent.add_supported_type – GXml-0.20 Reference Manual

# add_supported_type

## Description:

public static void add_supported_type (HashTable<string,Type> types, Type parent_type, Type type)

Insert a new supported instantiatable type in given hash table, by instantiating the type, getting its node's local name as key.

## Parameters:

types | a GLib.HashTable to hold supported types
parent_type | a GLib.Type as parent of supported types, it is not necesarry to be an instantiatable type, like interfaces, should be the same of GXml.Collection.items_type
type | a supported instantiatable GLib.Type to be added in the collection